.category-grid__slider-item {
	width: 100%;
	padding: 0 5px;
}

.category-grid {
	&.has-2-columns {
		& .category-grid__slider-item {
			@media (--xs) {
				width: 50%;
			}
		}
	}

	&.has-3-columns {
		& .category-grid__slider-item {
			@media (--xs) {
				width: 50%;
			}

			@media (--s) {
				width: 33.33%;
			}
		}
	}

	&.has-4-columns {
		& .category-grid__slider-item {
			@media (--xs) {
				width: 50%;
			}

			@media (--m) {
				width: 25%;
			}
		}
	}

	&.has-5-columns {
		& .category-grid__slider-item {
			@media (--xs) {
				width: 50%;
			}

			@media (--m) {
				width: 20%;
			}
		}
	}
}

.category-grid__slider {
	& .flickity-prev-next-button {
		width: 30px;
		height: 30px;
		background: var(--dark);
		border-radius: var(--border-radius);

		@media (--m) {
			width: 40px;
			height: 40px;
		}

		&.previous {
			left: -15px;

			@media (--m) {
				left: -20px;
			}

			@media (--ml) {
				left: -60px;
			}
		}

		&.next {
			right: -15px;

			@media (--m) {
				right: -20px;
			}

			@media (--ml) {
				right: -60px;
			}
		}

		& .flickity-button-icon {
			fill: var(--white);
		}
	}
}

.category-grid__label {
	font-weight: var(--font-bold);
	font-size: 1rem;

	@media (--s) {
		font-size: 1.15rem;
	}
}

.category-grid__placeholder-image {
	& .image-placeholder__image {
		@mixin ratio 9/16;
	}
}

.category-grid.is-dark-contract {
	& .default-section__inner--header {
		color: var(--white);
	}
}

.category-grid__item,
.category-grid__link,
.category-grid__col {
	display: flex;
	flex-direction: column;
}

.category-grid__item,
.category-grid__link {
	flex: 1 0 auto;
}

.category-grid.has-center-content-alignment {
	& .category-grid__label {
		text-align: center;
	}
}

.category-grid--preset-default {
	& .category-grid__label {
		margin-top: 0.5em;
	}
}

/** Text color hover change **/
.category-grid--preset-default,
.category-grid--preset-1 {
	& .category-grid__label {
		transition: color 0.3s ease;
	}

	& .category-grid__link {
		@media (--m) {
			&:hover {
				& .category-grid__label {
					color: var(--primary);
				}
			}
		}
	}
}

/** Image hover scale up **/
.category-grid--preset-default,
.category-grid--preset-1,
.category-grid--preset-2,
.category-grid--preset-3,
.category-grid--preset-6 {
	& .category-grid__image,
	& .category-grid__placeholder-image {
		@media (--m) {
			overflow: hidden;
		}
	}

	& .category-grid__link {
		@media (--m) {
			& .image__img {
				transition: transform 0.3s;
			}

			&:hover {
				& .image__img {
					transform: scale(1.1);
				}
			}
		}
	}
}

.category-grid--preset-1 {
	& .category-grid__item {
		border-radius: var(--border-radius);
		box-shadow: 0 0 16px 0 rgba(0, 0, 0, 0.05);
		transition: 0.4s;
	}

	& .category-grid__label {
		display: block;
		padding: 0.5em 1em;
	}
}

.category-grid--preset-2 {
	& .category-grid__link {
		position: relative;
	}

	& .category-grid__image,
	& .category-grid__placeholder-image {
		border-radius: var(--border-radius);
	}

	& .category-grid__label {
		position: absolute;
		bottom: 1em;
		left: 0;
		padding: 0.5em 1em;
		background: var(--primary);
		z-index: 3;
		box-shadow: 0 4px 4px 0 rgba(0, 0, 0, 0.08);
		border-radius: 0 var(--border-radius) var(--border-radius) 0;
	}

	& .category-grid__label__text {
		color: var(--white);
		font-weight: var(--font-normal);
	}
}

.category-grid--preset-3 {
	& .category-grid__link {
		position: relative;
		padding-bottom: 1.25em;

		&:hover {
			@media (--m) {
				& .category-grid__label {
					transform: translateY(-6px);
				}
			}
		}
	}

	& .category-grid__label {
		position: absolute;
		width: calc(100% - 30px);
		margin-top: 0;
		bottom: 0;
		left: 15px;
		padding: 0.5em 1em;
		background: var(--white);
		z-index: 3;
		border: 1px solid var(--light);
		transition: transform 0.3s ease;
	}
}

.category-grid.category-grid--preset-4 {
	& .category-grid__link {
		position: relative;

		&:hover {
			& .category-grid__image,
			& .category-grid__placeholder-image {
				@mixin image-overlay 0.25;
			}
		}
	}

	& .category-grid__image,
	& .category-grid__placeholder-image {
		@mixin image-overlay 0.15;

		border-radius: var(--border-radius);
		overflow: hidden;
	}

	& .category-grid__label {
		@mixin abs-full;
		@mixin flex-center;

		z-index: 3;
	}

	& .category-grid__label__text {
		color: var(--white);
	}
}

.category-grid.category-grid--preset-5 {
	& .category-grid__link {
		position: relative;
	}

	& .category-grid__image,
	& .category-grid__placeholder-image .image-placeholder__image {
		@mixin ratio 1.25/1;

		border-radius: var(--border-radius);
		overflow: hidden;

		&::after {
			content: '';
			position: absolute;
			bottom: 0;
			left: 0;
			width: 100%;
			height: 50%;
			background: linear-gradient(
				0deg,
				rgba(0, 0, 0, 1) 0%,
				rgba(0, 0, 0, 0) 100%
			);
			z-index: 2;
		}
	}

	& .category-grid__label {
		@mixin abs-full;

		display: flex;
		align-items: flex-end;
		padding: 0.5em 1em;
		z-index: 3;
	}

	& .category-grid__label__text {
		color: var(--white);
	}
}

.category-grid--preset-6 {
	& .category-grid__link {
		position: relative;

		&:hover {
			@media (--m) {
				& .category-grid__label__text {
					transform: translateY(-5px);
				}
			}
		}
	}

	& .category-grid__image,
	& .category-grid__placeholder-image .image-placeholder__image {
		border-radius: var(--border-radius);
		overflow: hidden;
	}

	& .category-grid__label {
		@mixin abs-full;
		@mixin flex-center;

		z-index: 3;
	}

	& .category-grid__label__text {
		display: block;
		padding: 0.5em 1em;
		color: var(--white);
		transition: transform 0.3s ease;
		background: rgba(0, 0, 0, 0.25);
		border-radius: var(--border-radius);
	}
}
